| Disk ARchive 2.7.18 Full featured and portable backup and archiving tool

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | Private Attributes | List of all members
libdar::cat_detruit Class Reference
Private

the deleted file entry More...

`#include <cat_detruit.hpp>`

Inherits libdar::cat_nomme.

## Public Member Functions
| cat_detruit (const std::string &name, unsigned char firm, const datetime &date)
| cat_detruit (const smart_pointer< pile_descriptor > &pdesc, const archive_version &reading_ver, bool small)
| cat_detruit (const cat_nomme &ref)
| cat_detruit (const cat_detruit &ref)=default
| cat_detruit (cat_detruit &&ref) noexcept=default
cat_detruit & | operator= (const cat_detruit &ref)=default
cat_detruit & | operator= (cat_detruit &&ref)=default
virtual bool | operator== (const cat_entree &ref) const override
| returns true if the two object are the same
unsigned char | get_signature () const
void | set_signature (unsigned char x)
const datetime & | get_date () const
void | set_date (const datetime &ref)
virtual unsigned char | signature () const override
| inherited from cat_entree
virtual std::string | get_description () const override
| inherited from cat_entree
virtual cat_entree * | clone () const override
| inherited from cat_entree
Public Member Functions inherited from libdar::cat_nomme
| cat_nomme (const std::string &name, saved_status arg)
| cat_nomme (const smart_pointer< pile_descriptor > &pdesc, bool small, saved_status val)
| cat_nomme (const cat_nomme &ref)=default
| cat_nomme (cat_nomme &&ref) noexcept=default
cat_nomme & | operator= (const cat_nomme &ref)=default
cat_nomme & | operator= (cat_nomme &&ref)=default
virtual bool | operator< (const cat_nomme &ref) const
const std::string & | get_name () const
void | change_name (const std::string &x)
bool | same_as (const cat_nomme &ref) const
Public Member Functions inherited from libdar::cat_entree
| cat_entree (saved_status val)
| setup an object when read from filesystem
| cat_entree (const smart_pointer< pile_descriptor > &pdesc, bool small, saved_status val)
| setup an object when read from an archive
| cat_entree (const cat_entree &ref)=default
| cat_entree (cat_entree &&ref) noexcept=default
cat_entree & | operator= (const cat_entree &ref)=default
cat_entree & | operator= (cat_entree &&ref)=default
virtual | ~cat_entree () noexcept(false)
| destructor
bool | operator!= (const cat_entree &ref) const
bool | same_as (const cat_entree &ref) const
| return true of the two objects would generate the same entry on filsystem
void | dump (const pile_descriptor &pdesc, bool small) const
| write down the object information to a stack
void | specific_dump (const pile_descriptor &pdesc, bool small) const
| this call gives an access to inherited_dump
virtual void | post_constructor (const pile_descriptor &pdesc)
| let inherited classes build object's data after CRC has been read from file in small read mode
virtual void | change_location (const smart_pointer< pile_descriptor > &pdesc)
saved_status | get_saved_status () const
| obtain the saved status of the object
void | set_saved_status (saved_status x)
| modify the saved_status of the object
void | set_list_entry (const slice_layout *sly, bool fetch_ea, list_entry &ent) const
| setup a list_entry object relative to the current cat_entree object

## Protected Member Functions
virtual void | inherited_dump (const pile_descriptor &pdesc, bool small) const override
| inherited class may overload this method but shall first call the parent's inherited_dump() in the overloaded method
Protected Member Functions inherited from libdar::cat_nomme
Protected Member Functions inherited from libdar::cat_entree
pile * | get_pile () const
| stack used to read object from (nullptr is returned for object created from filesystem)
proto_compressor * | get_compressor_layer () const
| compressor generic_file relative methods
escape * | get_escape_layer () const
| escape generic_file relative methods
generic_file * | get_read_cat_layer (bool small) const
| return the adhoc layer in the stack to read from the catalogue objects (except the EA, FSA or Data part)

## Private Attributes
unsigned char | signe
datetime | del_date

## Additional Inherited Members
Static Public Member Functions inherited from libdar::cat_entree
static cat_entree * | read (const std::shared_ptr< user_interaction > &dialog, const smart_pointer< pile_descriptor > &f, const archive_version &reading_ver, entree_stats &stats, std::map< infinint, cat_etoile * > &corres, compression default_algo, bool lax, bool only_detruit, bool small)
| read and create an object of inherited class of class cat_entree

## Detailed Description

the deleted file entry

Definition at line 48 of file cat_detruit.hpp.

## Constructor & Destructor Documentation

## ◆ cat_detruit() [1/2]

libdar::cat_detruit::cat_detruit | ( | const std::string & | name,
|  | unsigned char | firm,
|  | const datetime & | date )
| inline

Definition at line 51 of file cat_detruit.hpp.

## ◆ cat_detruit() [2/2]

libdar::cat_detruit::cat_detruit | ( | const cat_nomme & | ref | ) |
| inline

Definition at line 53 of file cat_detruit.hpp.

## Member Function Documentation

## ◆ clone()

virtual cat_entree * libdar::cat_detruit::clone | ( |  | ) | const
| inline override virtual

inherited from cat_entree

Implements libdar::cat_entree.

Definition at line 75 of file cat_detruit.hpp.

## ◆ get_date()

const datetime & libdar::cat_detruit::get_date | ( |  | ) | const
| inline

Definition at line 65 of file cat_detruit.hpp.

## ◆ get_description()

virtual std::string libdar::cat_detruit::get_description | ( |  | ) | const
| inline override virtual

inherited from cat_entree

Implements libdar::cat_entree.

Definition at line 72 of file cat_detruit.hpp.

## ◆ get_signature()

unsigned char libdar::cat_detruit::get_signature | ( |  | ) | const
| inline

Definition at line 62 of file cat_detruit.hpp.

## ◆ inherited_dump()

virtual void libdar::cat_detruit::inherited_dump | ( | const pile_descriptor & | pdesc,
|  | bool | small ) const
| override protected virtual

inherited class may overload this method but shall first call the parent's inherited_dump() in the overloaded method

Reimplemented from libdar::cat_nomme.

## ◆ operator==()

virtual bool libdar::cat_detruit::operator== | ( | const cat_entree & | ref | ) | const
| override virtual

returns true if the two object are the same

Reimplemented from libdar::cat_nomme.

## ◆ set_date()

void libdar::cat_detruit::set_date | ( | const datetime & | ref | ) |
| inline

Definition at line 66 of file cat_detruit.hpp.

## ◆ set_signature()

void libdar::cat_detruit::set_signature | ( | unsigned char | x | ) |
| inline

Definition at line 63 of file cat_detruit.hpp.

## ◆ signature()

virtual unsigned char libdar::cat_detruit::signature | ( |  | ) | const
| inline override virtual

inherited from cat_entree

Implements libdar::cat_entree.

Definition at line 69 of file cat_detruit.hpp.

## Member Data Documentation

## ◆ del_date

datetime libdar::cat_detruit::del_date
| private

Definition at line 82 of file cat_detruit.hpp.

## ◆ signe

unsigned char libdar::cat_detruit::signe
| private

Definition at line 81 of file cat_detruit.hpp.

The documentation for this class was generated from the following file:

- cat_detruit.hpp